Index: jobvista-frontend/src/views/auth/SignInForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignInForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignInForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,2 +1,3 @@
+import {Button, TextField} from "@mui/material";
 import {Link} from "react-router-dom";
 import "./auth.css"
@@ -7,7 +8,4 @@
 import {yupResolver} from "@hookform/resolvers/yup";
 import {AuthActions} from "../../redux/actions/authActions";
-import {notifyIncorrectEmailOrPassword} from "../../utils/toastUtils";
-
-import {GoogleOAuthProvider, GoogleLogin} from "@react-oauth/google";
 
 export const SignInForm = () => {
@@ -29,41 +27,24 @@
     const signIn = async (values) => {
         try {
-            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog, success => {
-                    if(success) {
-                        navigate("/")
-                    } else {
-                        notifyIncorrectEmailOrPassword()
-                    }
+            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog,
+                    success => {
+                    // createSnackbar({
+                    //     message: success ? 'Successfully signed up.' : 'Error while signing up. Try again!',
+                    //     timeout: 2500,
+                    //     theme: success ? 'success' : 'error'
+                    // });
+                    success && navigate("/");
                 }));
         } catch (err) {
-            // console.error(err);
+            console.error(err);
         }
     }
 
-    const handleGoogleSuccess = (response) => {
-        const tokenId = response.credential;
-
-        dispatch(AuthActions.signInGoogle(tokenId, (success, error) => {
-            if (success) {
-                console.log("User signed in successfully");
-                if(success) {
-                    navigate("/")
-                }
-            } else {
-                console.error("Google sign-in failed", error);
-            }
-        }));
-    };
-
-    const handleGoogleFailure = (error) => {
-        console.error(error);
-    };
-
     return (
 
-        <div className="">
+        <div className="d-flex align-items-center">
             <div className="container">
-                <div className="row d-flex flex-column justify-content-center align-items-center">
-                    <div className="col-md-8 form-container">
+                <div className="row">
+                    <div className="col-md-8 mx-auto form-container">
                         <h3 className="login-heading mb-4">Sign in</h3>
                         <form onSubmit={handleSubmit(signIn)}>
@@ -89,5 +70,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Sign in
                                 </button>
@@ -103,33 +84,12 @@
 
                         <div className="row">
-                            <GoogleOAuthProvider clientId={process.env.REACT_APP_GOOGLE_CLIENT_ID}>
-                                <GoogleLogin
-                                    onSuccess={handleGoogleSuccess}
-                                    onError={handleGoogleFailure}
-                                    type={"standard"}
-                                    text={"signin_with"}
-                                    locale={"en"}
-                                    redirectUri="http://localhost:3000/login/oauth2/code/google"
-                                />
-                            </GoogleOAuthProvider>
-                        </div>
-                        <br/>
-                    </div>
-
-                    <div className="col-md-8 mt-5 form-container">
-                        <div>
-                            <h5 className="mb-3">Don't have an account?</h5>
-                        </div>
-
-                        <div className="row">
                             <div className="col-md-6">
-                                <Link to="/signup/recruiter" className="btn auth-secondary-btn text-uppercase fw-bold mb-2 w-100">SIGN UP AS RECRUITER</Link>
+                                <Link to="/signup/recruiter" className="btn btn-outline-primary text-uppercase fw-bold mb-2 w-100">SIGN UP AS RECRUITER</Link>
                             </div>
                             <div className="col-md-6">
-                                <Link to="/signup/job-seeker" className="btn auth-secondary-btn text-uppercase fw-bold mb-2 w-100">SIGN UP AS JOB SEEKER</Link>
+                                <Link to="/signup/job-seeker" className="btn btn-outline-primary text-uppercase fw-bold mb-2 w-100">SIGN UP AS JOB SEEKER</Link>
                             </div>
                         </div>
                     </div>
-
                 </div>
             </div>
Index: jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -83,5 +83,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Submit
                                 </button>
Index: jobvista-frontend/src/views/auth/SignUpRecruiterForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -13,5 +13,5 @@
     const schema = yup.object().shape({
         companyNameReg: yup.string().required("Company name is required."),
-        phoneNumberReg: yup.string().required("Phone number is required"),
+        phoneNumberReg: yup.number().required("Phone number is required"),
         companyEmailReg: yup.string().required("Email is required.").email("Email is not valid."),
         passwordReg: yup.string().min(6, "Password must be at least 6 characters.").required("Password is required."),
@@ -32,5 +32,5 @@
                     //     theme: success ? 'success' : 'error'
                     // });
-                    success && navigate("/no-access");
+                    success && navigate("/");
                 }));
         } catch (err) {
@@ -80,5 +80,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Submit
                                 </button>
Index: jobvista-frontend/src/views/auth/auth.css
===================================================================
--- jobvista-frontend/src/views/auth/auth.css	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/auth.css	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -3,27 +3,2 @@
     padding: 5px 5px;
 }
-
-
-.auth-primary-btn{
-    background-color: rgba(1,38,90,0.80);
-    //background-color: #a1c4fd ;
-    color: white;
-}
-.auth-primary-btn:hover {
-    background-color: rgba(1,38,90,1);
-    color: white;
-}
-
-.auth-secondary-btn {
-    border: 2px solid rgba(1,38,90,0.7);
-    color: midnightblue;
-}
-
-.auth-secondary-btn:hover {
-    background-color: rgba(1,38,90,0.8);
-    color: white;
-}
-
-iframe{
-    margin: auto !important;
-}
